## org.apache.poi.hdgf.extractor
Class VisioTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hdgf.extractor.VisioTextExtractor

    public final class VisioTextExtractor

extends POIOLE2TextExtractor

Class to find all the text in a Visio file, and return it. Can opperate on the command line (outputs to stdout), or can return the text for you (eg for use with Lucene).

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`VisioTextExtractor(DirectoryNode dir)`
`VisioTextExtractor(DirectoryNode dir, POIFSFileSystem fs)` Deprecated. Use `VisioTextExtractor(DirectoryNode)` instead
`VisioTextExtractor(HDGFDiagram hdgf)`
`VisioTextExtractor(java.io.InputStream inp)`
`VisioTextExtractor(NPOIFSFileSystem fs)`
`VisioTextExtractor(POIFSFileSystem fs)`

Method Summary
`java.lang.String[]` `getAllText()` Locates all the text entries in the file, and returns their contents.
`java.lang.String` `getText()` Returns the textual contents of the file.
`static void` `main(java.lang.String[] args)`

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisioTextExtractor

    public VisioTextExtractor(HDGFDiagram hdgf)

### VisioTextExtractor

    public VisioTextExtractor(POIFSFileSystem fs)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(NPOIFSFileSystem fs)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(DirectoryNode dir)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    @Deprecated
    public VisioTextExtractor(DirectoryNode dir,
                                         POIFSFileSystem fs)
                       throws java.io.IOException

  Deprecated. Use `VisioTextExtractor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(java.io.InputStream inp)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getAllText

    public java.lang.String[] getAllText()

  Locates all the text entries in the file, and returns their contents.

### getText

    public java.lang.String getText()

  Returns the textual contents of the file. Each textual object's text will be separated by a newline

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.